summaryrefslogtreecommitdiff
path: root/test/GNU/check-translit
diff options
context:
space:
mode:
authorJohn Mark Bell <jmb@netsurf-browser.org>2008-11-13 00:43:22 +0000
committerJohn Mark Bell <jmb@netsurf-browser.org>2008-11-13 00:43:22 +0000
commit1e27fedc75e11311af66666655996aa5fe2960e2 (patch)
tree237b9f2200b45149beb1f7dc27cfbd3f72259e21 /test/GNU/check-translit
parentdb524b69d0cc2d982c3d9f8496a33d7bff9308b8 (diff)
downloadiconv-1e27fedc75e11311af66666655996aa5fe2960e2.tar.gz
iconv-1e27fedc75e11311af66666655996aa5fe2960e2.tar.bz2
Import GNU libiconv testsuite, suitably hacked to fit into our buildsystem.
This still needs a bit of work, not least to get sensible automated testing. It currently requires manual inspection of the output, which isn't all that great. svn path=/trunk/iconv/; revision=5690
Diffstat (limited to 'test/GNU/check-translit')
-rwxr-xr-xtest/GNU/check-translit12
1 files changed, 12 insertions, 0 deletions
diff --git a/test/GNU/check-translit b/test/GNU/check-translit
new file mode 100755
index 0000000..babc91e
--- /dev/null
+++ b/test/GNU/check-translit
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Simple check of transliteration facilities.
+# Usage: check-translit SRCDIR FILE FROMCODE TOCODE
+srcdir="$1"
+file="$2"
+fromcode="$3"
+tocode="$4"
+set -e
+../src/iconv_no_i18n -f "$fromcode" -t "$tocode"//TRANSLIT < "${srcdir}"/"$file"."$fromcode" > tmp
+cmp "${srcdir}"/"$file"."$tocode" tmp
+rm -f tmp
+exit 0